TextInputControlSkin.Direction (JavaFX 28)
Description: declaration: module: javafx.controls, package: javafx.scene.control.skin, class: TextInputControlSkin, enum: Direction

# Enum Class TextInputControlSkin.Direction

java.lang.Object
java.lang.Enum<TextInputControlSkin.Direction>
javafx.scene.control.skin.TextInputControlSkin.Direction

All Implemented Interfaces:
  `Serializable, Comparable<TextInputControlSkin.Direction>, Constable`

Enclosing class:
  `TextInputControlSkin<T extends TextInputControl>`

public static enum TextInputControlSkin.Direction extends Enum<TextInputControlSkin.Direction>
Direction names for caret movement.

Since:
  9
See Also:
  - `TextInputControlSkin.moveCaret(TextUnit, Direction, boolean)`

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BEGINNING`
  Beginning
  `DOWN`
  Down Direction
  `END`
  End
  `LEFT`
  Left Direction
  `RIGHT`
  Right Direction
  `UP`
  Up Direction

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TextInputControlSkin.Direction`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TextInputControlSkin.Direction[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LEFT

    public static final TextInputControlSkin.Direction LEFT
    Left Direction

  - ### RIGHT

    public static final TextInputControlSkin.Direction RIGHT
    Right Direction

  - ### UP

    public static final TextInputControlSkin.Direction UP
    Up Direction

  - ### DOWN

    public static final TextInputControlSkin.Direction DOWN
    Down Direction

  - ### BEGINNING

    public static final TextInputControlSkin.Direction BEGINNING
    Beginning

  - ### END

    public static final TextInputControlSkin.Direction END
    End

- ## Method Details

  - ### values

    public static TextInputControlSkin.Direction[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TextInputControlSkin.Direction valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null